# Class AlignmentManager

#### Hierarchy

- AlignmentManager

- Defined in src/examples/structural-alignment/AlignmentManager.ts:1

#####
Index

### Constructors

constructor

### Properties

queryToTarget
targetToQuery

### Methods

getQueryPosition
getQueryRange
getTargetPosition
getTargetRange

## Constructors

### constructor

- new AlignmentManager(alignment): AlignmentManager

- #### Parameters

  - ##### alignment: {
    query_begin: number;
    query_end: number;
    target_begin: number;
    target_end: number;
    }[]

  #### Returns AlignmentManager

  - Defined in src/examples/structural-alignment/AlignmentManager.ts:6

## Properties

### `Private` `Readonly` queryToTarget

queryToTarget: Map<number, number> = ...

- Defined in src/examples/structural-alignment/AlignmentManager.ts:4

### `Private` `Readonly` targetToQuery

targetToQuery: Map<number, number> = ...

- Defined in src/examples/structural-alignment/AlignmentManager.ts:3

## Methods

### getQueryPosition

- getQueryPosition(targetPosition): undefined | number

- #### Parameters

  - ##### targetPosition: number

  #### Returns undefined | number

  - Defined in src/examples/structural-alignment/AlignmentManager.ts:23

### getQueryRange

- getQueryRange(targetRange): undefined | {
  begin: number;
  end: number;
  }

- #### Parameters

  - ##### targetRange: {
    begin: number;
    end: number;
    }

    - ##### begin: number

    - ##### end: number

  #### Returns undefined | {
  begin: number;
  end: number;
  }

  - Defined in src/examples/structural-alignment/AlignmentManager.ts:42

### getTargetPosition

- getTargetPosition(queryPosition): undefined | number

- #### Parameters

  - ##### queryPosition: number

  #### Returns undefined | number

  - Defined in src/examples/structural-alignment/AlignmentManager.ts:19

### getTargetRange

- getTargetRange(queryRange): undefined | {
  begin: number;
  end: number;
  }

- #### Parameters

  - ##### queryRange: {
    begin: number;
    end: number;
    }

    - ##### begin: number

    - ##### end: number

  #### Returns undefined | {
  begin: number;
  end: number;
  }

  - Defined in src/examples/structural-alignment/AlignmentManager.ts:27

Generated using TypeDoc